> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Components

> Endpoint for getting components



## OpenAPI

````yaml GET /components
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /components:
    get:
      tags:
        - Components
      summary: Get Components
      description: Endpoint for getting components
      operationId: get-components
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: >-
            Get component by its name (Case & space sensitive, must match
            exactly to return the component)
        - schema:
            type: boolean
          in: query
          name: is_active
          description: Get all active components if true, all inactive components if false
        - schema:
            type: string
          in: query
          name: component_type
          description: Get components by its type (SN or LOT)
      requestBody:
        content: {}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Component'
                  x-stoplight:
                    id: wflpa6i8u7olj
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    Component:
      type: object
      x-examples:
        Example 1:
          id: ff296567-95fa-4a16-bfe4-57c7d40cb020
          company_id: 51bbe6c0-c335-4e45-92bd-5d6ed99de5b6
          name: test1234
          component_type: SN
          is_active: true
          created_at: '2023-07-13T21:13:16.364695+00:00'
          last_edited_at: '2023-07-13T21:13:16.364695+00:00'
          last_edited_user_id: d3202f74-d5a9-4f82-8c3c-ff6bce0ff3d0
      description: Component Data
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        component_type:
          enum:
            - SN
            - LOT
        is_active:
          type: boolean
        created_at:
          type: string
          format: date-time
        last_edited_at:
          type: string
          format: date-time
        last_edited_user_id:
          type: string
          format: uuid
        pn_metadata_dataset_ids:
          type: array
          x-stoplight:
            id: 6pqhz64zznlcl
          items:
            x-stoplight:
              id: zz22iw8c268zq
            type: string
            format: uuid
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````